com.jogamp.opengl

## Class FBObject.ColorAttachment

- java.lang.Object
- - com.jogamp.opengl.FBObject.Attachment
  - - com.jogamp.opengl.FBObject.RenderAttachment
    - - com.jogamp.opengl.FBObject.ColorAttachment

- All Implemented Interfaces:
    FBObject.Colorbuffer
  Enclosing class:
    FBObject

      public static class FBObject.ColorAttachment
      extends FBObject.RenderAttachment
      implements FBObject.Colorbuffer

  Color render buffer FBO attachment

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.jogamp.opengl.FBObject.Attachment

      `FBObject.Attachment.Type`

  - ### Field Summary

    - ### Fields inherited from class com.jogamp.opengl.FBObject.Attachment

      `format, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FBObject.ColorAttachment(int iFormat, int samples, int width, int height, int name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FBObject.ColorAttachment` | `getColorAttachment()` Casts this object to a `FBObject.ColorAttachment` reference, see `FBObject.Colorbuffer.isTextureAttachment()`.
    `FBObject.TextureAttachment` | `getTextureAttachment()` Casts this object to a `FBObject.TextureAttachment` reference, see `FBObject.Colorbuffer.isTextureAttachment()`.
    `boolean` | `isTextureAttachment()` Returns `true` if instance is of type `FBObject.TextureAttachment` and `false` if instance is of type `FBObject.ColorAttachment`.

    - ### Methods inherited from class com.jogamp.opengl.FBObject.RenderAttachment

      `equals, free, getSamples, hashCode, initialize, toString`

    - ### Methods inherited from class com.jogamp.opengl.FBObject.Attachment

      `formatToGLCapabilities, getFormat, getHeight, getName, getType, getWidth`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.jogamp.opengl.FBObject.Colorbuffer

      `formatToGLCapabilities, free, getFormat, getHeight, getName, getWidth, initialize`

- - ### Constructor Detail

    - #### FBObject.ColorAttachment

          public FBObject.ColorAttachment(int iFormat,
                                  int samples,
                                  int width,
                                  int height,
                                  int name)

  - ### Method Detail

    - #### isTextureAttachment

          public final boolean isTextureAttachment()

      Description copied from interface: `FBObject.Colorbuffer`
      Returns `true` if instance is of type `FBObject.TextureAttachment` and `false` if instance is of type `FBObject.ColorAttachment`.
      Specified by:
        `isTextureAttachment` in interface `FBObject.Colorbuffer`

    - #### getTextureAttachment

          public final FBObject.TextureAttachment getTextureAttachment()

      Description copied from interface: `FBObject.Colorbuffer`
      Casts this object to a `FBObject.TextureAttachment` reference, see `FBObject.Colorbuffer.isTextureAttachment()`.
      Specified by:
        `getTextureAttachment` in interface `FBObject.Colorbuffer`
      See Also:
        `FBObject.Colorbuffer.isTextureAttachment()`

    - #### getColorAttachment

          public final FBObject.ColorAttachment getColorAttachment()

      Description copied from interface: `FBObject.Colorbuffer`
      Casts this object to a `FBObject.ColorAttachment` reference, see `FBObject.Colorbuffer.isTextureAttachment()`.
      Specified by:
        `getColorAttachment` in interface `FBObject.Colorbuffer`
      See Also:
        `FBObject.Colorbuffer.isTextureAttachment()`

Copyright 2010 JogAmp Community.